BackgroundActivityMonitor (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Class BackgroundActivityMonitor

- java.lang.Object
- - org.apache.cassandra.utils.BackgroundActivityMonitor

-     public class BackgroundActivityMonitor
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BackgroundActivityMonitor.BackgroundActivityReporter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IDLE_INDEX`
    `static int` | `IOWAIT_INDEX`
    `static int` | `IRQ_INDEX`
    `static int` | `NICE_INDEX`
    `static int` | `SOFTIRQ_INDEX`
    `static int` | `SYS_INDEX`
    `static int` | `USER_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackgroundActivityMonitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getIOWait()`
    `double` | `getNormalizedLoadAvg()`
    `double` | `getSeverity(java.net.InetAddress endpoint)`
    `void` | `incrCompactionSeverity(double sev)`
    `void` | `incrManualSeverity(double sev)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_INDEX

          public static final int USER_INDEX

      See Also:
        Constant Field Values

    - #### NICE_INDEX

          public static final int NICE_INDEX

      See Also:
        Constant Field Values

    - #### SYS_INDEX

          public static final int SYS_INDEX

      See Also:
        Constant Field Values

    - #### IDLE_INDEX

          public static final int IDLE_INDEX

      See Also:
        Constant Field Values

    - #### IOWAIT_INDEX

          public static final int IOWAIT_INDEX

      See Also:
        Constant Field Values

    - #### IRQ_INDEX

          public static final int IRQ_INDEX

      See Also:
        Constant Field Values

    - #### SOFTIRQ_INDEX

          public static final int SOFTIRQ_INDEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BackgroundActivityMonitor

          public BackgroundActivityMonitor()

  - ### Method Detail

    - #### incrCompactionSeverity

          public void incrCompactionSeverity(double sev)

    - #### incrManualSeverity

          public void incrManualSeverity(double sev)

    - #### getIOWait

          public double getIOWait()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNormalizedLoadAvg

          public double getNormalizedLoadAvg()

    - #### getSeverity

          public double getSeverity(java.net.InetAddress endpoint)

Copyright © 2018 The Apache Software Foundation